#ifndef BLOCK_ALLOC_H_
#define BLOCK_ALLOC_H_

#ifdef _WIN32
#define BLOCK_SIZE 1024*16
#include <windows.h>

#define block_alloc(size)      VirtualAlloc(NULL, size, MEM_COMMIT | MEM_RESERVE, PAGE_READWRITE);
#define block_free(block,size) VirtualFree(block, size, MEM_RELEASE)

#endif

#endif //BLOCK_ALLOC_H_
